/*
Theme Name: Twenty Twenty-Five Child
Theme URI: http://example.com/twenty-twenty-five-child/
Description: Twenty Twenty-Five Child Theme
Author: Toldy4D
Author URI: http://example.com
Template: twentytwentyfive
Version: 1.0.0
*/
/* Add your custom styles here */

/* ==============================
   Button
   ============================== */
.nd-button{
    font-family: "Zen Old Mincho", serif;
    font-size: medium;
    background-color: #D9A066;
    color: #3B2A28;
    border-radius: 5px;
    padding: .2em .5em .2em .5em;
}

.nd-button:hover{
    background-color: #C89152;
}

.nd-button:active{
    background-color: #B47A3F;
}

.nd-button:focus-visible{
    outline-color: #d9a066 !important;
}

/* ==============================
   Field
   ============================== */

.nd-field{
    color: #3B2A28;
    font-family: "Zen Old Mincho", serif;
    font-size: medium;
}

.nd-field:focus-visible{
    outline-color: #d9a066 !important;
}

input.nd-field:read-only, textarea.nd-field:read-only{
    background-color: #ad9794;
}

/* ==============================
   Icons
   ============================== */
.nd-icon:focus-visible{
    outline-color: #d9a066 !important;
}

/* ==============================
   Kijelentkezés a header részen
   ============================== */

.wp-block-navigation .kijelentkezes > a > .wp-block-navigation-item__label {
    color: #D9A066;
}

.wp-block-navigation .kijelentkezes > a:hover > .wp-block-navigation-item__label {
    color: #E6B77C;
}

.wp-block-navigation .kijelentkezes > a:hover {
    text-decoration-color: #E6B77C;
}

.wp-block-navigation .kijelentkezes > a:focus-visible {
    outline: 2px solid #C89152;   /* saját szín */
    outline-offset: 3px;
}

.wp-block-navigation .kijelentkezes > a:hover:focus-visible {
    outline: 2px solid #E6B77C;   /* saját szín */
    outline-offset: 3px;
}

/* ==============================
   FIX HEADER + FOOTER + SCROLL MAIN
   ============================== */

html,
body {
    margin: 0;
}

body {
    overflow: hidden; /* csak a main scrollozik */
}

/* Teljes oldal – ALAP */
.wp-site-blocks {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

/* Admin bar eset */
body.admin-bar .wp-site-blocks {
    height: calc(100vh - 32px);
}

@media (max-width: 782px) {
  body.admin-bar .wp-site-blocks {
      height: calc(100vh - 46px);
  }
}

/* Header és footer fix */
.wp-site-blocks > header.wp-block-template-part,
.wp-site-blocks > footer.wp-block-template-part {
    flex-shrink: 0;
}

/* Scrollozható main */
.wp-site-blocks > main {
    flex: 1 1 auto;
    min-height: 0;
    overflow-y: auto;
}

